package com.brilliance.isc.common.transaction.newcheck.setmod;

import com.brilliance.isc.common.setfog.vo.SetfolVo;
import com.brilliance.isc.common.transaction.newcheck.AbstractModuleValidator;
import com.brilliance.isc.common.transaction.newcheck.ValidResult;
import com.brilliance.isc.common.transaction.newcheck.Validate;
import com.brilliance.isc.common.util.StringUtils;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;

@Component
public class SetfolValidator extends AbstractModuleValidator<SetfolVo> {


    @Validate(path = "setmod.setfog.setfol.%s.ptydbt")
    public ValidResult checkPtydbt(SetfolVo setfolVo) {
        if (StringUtils.isEmpty(setfolVo.getPtydbt())) {
            if (setfolVo.getAmt().compareTo(BigDecimal.ZERO) != 0) {
                return ValidResult.build(false, "This field is mandatory");
            }
        }
        return null;
    }


    @Validate(path = "setmod.setfog.setfol.%s.ptypay")
    public ValidResult checkPtypay(SetfolVo setfolVo) {
        if (StringUtils.isEmpty(setfolVo.getPtypay())) {
            if (setfolVo.getAmt().compareTo(BigDecimal.ZERO) != 0) {
                return ValidResult.build(false, "This field is mandatory");
            }
        }
        return null;
    }
}
